Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.util
Class SimpleMethodInvocation

    java.lang.Object
      org.acegisecurity.util.SimpleMethodInvocation

All Implemented Interfaces:
  org.aopalliance.intercept.Invocation, org.aopalliance.intercept.Joinpoint, org.aopalliance.intercept.MethodInvocation

    public class SimpleMethodInvocation

extends Object
implements org.aopalliance.intercept.MethodInvocation

Represents the AOP Alliance `MethodInvocation`.

Version:
  $Id: SimpleMethodInvocation.java,v 1.1 2005/11/25 04:17:24 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`SimpleMethodInvocation()`
`SimpleMethodInvocation(Method method, Object[] arguments)`

Method Summary
`Object[]` | `getArguments()`
`Method` | `getMethod()`
`AccessibleObject` | `getStaticPart()`
`Object` | `getThis()`
`Object` | `proceed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMethodInvocation

    public SimpleMethodInvocation(Method method,
                                  Object[] arguments)

### SimpleMethodInvocation

    public SimpleMethodInvocation()

Method Detail

### getArguments

    public Object[] getArguments()

  Specified by:
    `getArguments` in interface `org.aopalliance.intercept.Invocation`

### getMethod

    public Method getMethod()

  Specified by:
    `getMethod` in interface `org.aopalliance.intercept.MethodInvocation`

### getStaticPart

    public AccessibleObject getStaticPart()

  Specified by:
    `getStaticPart` in interface `org.aopalliance.intercept.Joinpoint`

### getThis

    public Object getThis()

  Specified by:
    `getThis` in interface `org.aopalliance.intercept.Joinpoint`

### proceed

    public Object proceed()
                   throws Throwable

  Specified by:
    `proceed` in interface `org.aopalliance.intercept.Joinpoint`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.